Package org.json.simple

# Interface JSONStreamAware

All Known Implementing Classes:
  `JSONArray`, `JSONObject`

@Deprecated public interface JSONStreamAware
Deprecated.
since 2.0.0, replaced by `Jsonable`
Beans that support customized output of JSON text to a writer shall implement this interface.

Author:
  FangYidong<fangyidong@yahoo.com.cn>

## Method Summary

Modifier and Type
Method
Description
`void`
`writeJSONString(Writer out)`
Deprecated.
write JSON string to out.

## Method Details

### writeJSONString

void writeJSONString(Writer out) throws IOException
Deprecated.
write JSON string to out.

Parameters:
  `out` - description omitted.
Throws:
  `IOException` - description omitted.